core.register_decoration({
	deco_type = "simple",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.009,
	biomes = PyuTest.get_flowering_biomes(),
	decoration = PyuTest.registered_flowers
})

core.register_decoration({
	deco_type = "simple",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.032,
	biomes = PyuTest.get_extra_flowering_biomes(),
	decoration = PyuTest.registered_flowers
})

core.register_decoration({
	deco_type = "simple",
	place_on = { "pyutest_blocks:dirt", "pyutest_blocks:sand_block" },
	sidelen = 16,
	fill_ratio = 0.019,
	biomes = { "Desert" },
	decoration = "pyutest_flowers:deadbush"
})

core.register_decoration({
	deco_type = "simple",
	place_on = { "group:sand" },
	fill_ratio = 0.0009,
	sidelen = 16,
	biomes = { "Desert" },
	decoration = "pyutest_flowers:cactus",
	height = 2,
	height_max = 5
})

core.register_decoration({
	deco_type = "simple",
	sidelen = 16,
	fill_ratio = 0.03,
	place_on = { "pyutest_blocks:water_source" },
	biomes = { "Swamp", "Swamp_ocean" },
	y_max = PyuTest.OVERWORLD_TOP,
	y_min = 0,
	decoration = "pyutest_flowers:lilypad",
	flags = "liquid_surface"
})

core.register_decoration({
	deco_type = "simple",
	sidelen = 16,
	fill_ratio = 0.04,
	place_on = { "group:sugarcane_spawn_on" },
	decoration = "pyutest_flowers:sugarcane",
	y_max = PyuTest.OVERWORLD_SURFACE_BOTTOM,
	y_min = 0,
	spawn_by = { "pyutest_blocks:water_source" },
	num_spawn_by = 1,
	height = 1,
	height_max = 4
})
